API referenceEndpoints

Search companies

Search companies by name, industry, or HQ location.

GET /api/v1/search/companies

Search the company catalog by name, industry, or headquarters location.

Query parameters

NameTypeRequiredDescription
qstringyesFree-text query.
pagenumberno1-based page number. Default 1.
limitnumberno1-50, default 20.

Example

curl -H "Authorization: Bearer $KEY" \"https://app.usehomie.com/api/v1/search/companies?q=stripe&limit=5"

Response

{
  "data": [
    {
      "id": "company_...",
      "name": "Stripe",
      "companyId": "stripe",
      "industry": "Financial Services",
      "headquartersLocation": "San Francisco, California",
      "minSize": 5001,
      "maxSize": 10000,
      "logoUrl": "https://..."
    }
  ],
  "totalCount": 1,
  "totalPages": 1,
  "currentPage": 1
}

On this page